> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 反馈

> 报告错误、不完整或失败的API结果。不消耗积分。

通过 Olostep 的 `/v1/feedbacks` 端点，你可以报告API出现错误的情况。当结果错误、不完整、缓慢、失败或与文档不符时，可以从代理或你自己的代码中调用它。

* 发送反馈所涉及对象的 `id`，以便我们可以追踪到确切的请求
* 用类别和可选的症状代码标记报告
* 提交反馈是免费的，即使你的团队积分耗尽也可以使用

有关API详情，请参阅[提交反馈API参考](https://docs.olostep.com/api-reference/feedbacks/create.md)。

## 提交反馈

`category` 和 `note` 是必需的。当你有 `related_object_id` 时请包括它：一个 `scrape_…`、`batch_…` 或类似的资源id，或者在调用失败时的 `error_…` id。

```python Python theme={null}
import requests
import json

API_KEY = "<YOUR_API_KEY>"

payload = {
    "category": "output_quality",
    "issues": ["missing_content", "broken_formatting"],
    "note": "The markdown drops the pricing comparison table; expected all 4 rows.",
    "affected_endpoint": "POST /v1/scrapes",
    "related_object_id": "scrape_abc1234567",
    "url": "https://example.com/pricing"
}

headers = {
    "Authorization": f"Bearer {API_KEY}",
    "Content-Type": "application/json"
}

response = requests.post(
    "https://api.olostep.com/v1/feedbacks",
    headers=headers,
    json=payload
)
print(json.dumps(response.json(), indent=2))
```

```js Node theme={null}
const res = await fetch('https://api.olostep.com/v1/feedbacks', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <YOUR_API_KEY>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    category: 'output_quality',
    issues: ['missing_content', 'broken_formatting'],
    note: 'The markdown drops the pricing comparison table; expected all 4 rows.',
    affected_endpoint: 'POST /v1/scrapes',
    related_object_id: 'scrape_abc1234567',
    url: 'https://example.com/pricing'
  })
})
console.log(await res.json())
```

```bash cURL theme={null}
curl -X POST https://api.olostep.com/v1/feedbacks \
  -H "Authorization: Bearer $OLOSTEP_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "category": "output_quality",
    "issues": ["missing_content", "broken_formatting"],
    "note": "The markdown drops the pricing comparison table; expected all 4 rows.",
    "affected_endpoint": "POST /v1/scrapes",
    "related_object_id": "scrape_abc1234567",
    "url": "https://example.com/pricing"
  }'
```

### 响应

响应是存储的 `feedback` 对象。没有列表或获取端点；反馈在我们这边读取。

```json theme={null}
{
  "object": "feedback",
  "id": "feedback_019e70f9-214a-74fc-a1ae-26fd3318be3e",
  "category": "output_quality",
  "issues": ["missing_content", "broken_formatting"],
  "note": "The markdown drops the pricing comparison table; expected all 4 rows.",
  "affected_endpoint": "POST /v1/scrapes",
  "related_object_id": "scrape_abc1234567",
  "url": "https://example.com/pricing",
  "created_at": "2026-10-23T00:00:00.000Z"
}
```

## 字段

| 字段 | 必需 | 备注 |
| - | - | - |
| `category` | 是 | 其中之一：`output_quality`、`reliability`、`performance`、`documentation`、`api_usability`、`feature_gap`、`other` |
| `note` | 是 | 出现了什么问题以及你期望的结果，最多4,000个字符 |
| `issues` | 否 | 最多20个 `snake_case` 症状代码。下面列出了已记录的代码；接受任何其他相同格式的代码 |
| `affected_endpoint` | 否 | 使用规范的复数路径的 `METHOD /path`，例如 `POST /v1/scrapes` |
| `related_object_id` | 否 | 抓取、批量、爬网、答案或其他对象的 `id`，或者在调用失败时的 `error_…` id |
| `url` | 否 | 反馈所涉及的页面，例如被抓取的URL |

### 问题代码

`missing_content`、`incorrect_content`、`incomplete_content`、`broken_formatting`、`irrelevant_results`、`duplicate_results`、`stale_content`、`request_failed`、`timeout`、`slow_response`、`inconsistent_result`、`docs_mismatch`、`broken_example`、`confusing_schema`、`confusing_error`、`unsupported_website`、`unsupported_format`。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.